summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorHans de Graaff <graaff@gentoo.org>2021-08-07 11:56:23 +0200
committerHans de Graaff <graaff@gentoo.org>2021-08-07 11:56:59 +0200
commit60ec4dcf3e5dd070e37002dd6eea0527d6f2a8a8 (patch)
treeb106dbbddd1e1560df15b206078532eaed27707e /eclass
parenteclass/ruby-single.eclass: update versions in docs (diff)
downloadgentoo-60ec4dcf3e5dd070e37002dd6eea0527d6f2a8a8.tar.gz
gentoo-60ec4dcf3e5dd070e37002dd6eea0527d6f2a8a8.tar.bz2
gentoo-60ec4dcf3e5dd070e37002dd6eea0527d6f2a8a8.zip
eclass/ruby-single.eclass: add EAPI 8
Closes: https://bugs.gentoo.org/806499 Signed-off-by: Hans de Graaff <graaff@gentoo.org>
Diffstat (limited to 'eclass')
-rw-r--r--eclass/ruby-single.eclass4
1 files changed, 2 insertions, 2 deletions
diff --git a/eclass/ruby-single.eclass b/eclass/ruby-single.eclass
index 747b9de8d41..e19597b99a0 100644
--- a/eclass/ruby-single.eclass
+++ b/eclass/ruby-single.eclass
@@ -7,7 +7,7 @@
# @AUTHOR:
# Author: Hans de Graaff <graaff@gentoo.org>
# Based on python-single-r1 by: Michał Górny <mgorny@gentoo.org>
-# @SUPPORTED_EAPIS: 4 5 6 7
+# @SUPPORTED_EAPIS: 4 5 6 7 8
# @BLURB: An eclass for Ruby packages not installed for multiple implementations.
# @DESCRIPTION:
# An eclass for packages which don't support being installed for
@@ -26,7 +26,7 @@ case "${EAPI:-0}" in
0|1|2|3)
die "Unsupported EAPI=${EAPI:-0} (too old) for ${ECLASS}"
;;
- 4|5|6|7)
+ 4|5|6|7|8)
;;
*)
die "Unsupported EAPI=${EAPI} (unknown) for ${ECLASS}"